ReferenceAdmin
Every team's service accounts (platform admins and auditors)
GET
/v1/admin/service-accountsq matches the account's name and its team's slug and name. An unknown team lists nothing.
Query Parameters
q?string
Case-insensitive substring match
Length
length <= 200team?string
Team slug or ID (that team's service accounts)
Length
length <= 100cursor?string
nextCursor from the previous page
limit?integer
Range
1 <= value <= 200Default
50Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/admin/service-accounts"{ "data": { "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "teamSlug": "string", "name": "ci-release-bot", "description": "string", "role": "member", "enabled": true, "activeKeyCount": 0, "lastUsedAt": "2019-08-24T14:15:22Z", "createdByName": "string", "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string" }}